Page MenuHomePhabricator

Prep work for SVG Translate tool
Closed, ResolvedPublic5 Story Points

Description

Followup for T202768: Decide the tech stack for the SVG Translate tool this ticket is for covering the technical work to be done before we can start working on product tickets. Below is a checklist, to be fleshed out by the team.

Event Timeline

Niharika triaged this task as Medium priority.Sep 6 2018, 8:05 PM
Niharika created this task.
Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptSep 6 2018, 8:05 PM

@Mooeypoo This ticket is meant to capture the technical groundwork we need to do before working on product tickets like T203714: Create the landing page for the SVG Translate tool. That one isn't completely fleshed out yet. Can you add technical details to this?

Yes, and we should do this concurrently with T202768: Decide the tech stack for the SVG Translate tool so we can set things up correctly.

Mooeypoo updated the task description. (Show Details)Sep 20 2018, 9:39 PM
Mooeypoo updated the task description. (Show Details)Sep 20 2018, 9:43 PM

Create production tool instance on ToolForce

I think we can skip this bit. I'm hoping we can use the existing instance (https://tools.wmflabs.org/svgtranslate/) to host the new tool. I pinged @Jarry1250 on Phabricator earlier but didn't get a reply yet. I'll try reaching to him on wiki.
For now developing on staging instance should be fine.

Mooeypoo updated the task description. (Show Details)Sep 20 2018, 11:04 PM

I think we can skip this bit. I'm hoping we can use the existing instance (https://tools.wmflabs.org/svgtranslate/) to host the new tool. I pinged @Jarry1250 on Phabricator earlier but didn't get a reply yet. I'll try reaching to him on wiki.
For now developing on staging instance should be fine.

Fair enough, I removed it.

Re "Create repository on Github under Wikimedia organization" should we transfer the existing prototype repo (to maintain history)?

Re "Create repository on Github under Wikimedia organization" should we transfer the existing prototype repo (to maintain history)?

I don't know if that makes sense, I'll continue work on the prototype for future design experiments, so they'll diverge. Also, the code is only worthy of a prototype, has a ton of globals, and bad variable names etc.

aezell updated the task description. (Show Details)Oct 2 2018, 11:27 PM
Niharika updated the task description. (Show Details)Oct 2 2018, 11:29 PM
Niharika set the point value for this task to 5.
Niharika moved this task from To be estimated/discussed to Estimated on the Community-Tech board.
aezell added a subscriber: aezell.Oct 2 2018, 11:30 PM

I suggest/demand "SVG Babel" for the name.

MaxSem claimed this task.Oct 3 2018, 1:25 AM
MaxSem moved this task from Ready to In Development on the Community-Tech-Sprint board.
MaxSem removed MaxSem as the assignee of this task.Oct 3 2018, 7:54 PM
MaxSem moved this task from In Development to Ready on the Community-Tech-Sprint board.
MaxSem added a subscriber: MaxSem.
Samwilson updated the task description. (Show Details)Oct 4 2018, 5:13 AM
Samwilson claimed this task.Oct 8 2018, 6:15 AM
Samwilson moved this task from Ready to In Development on the Community-Tech-Sprint board.
Samwilson updated the task description. (Show Details)Oct 8 2018, 7:37 AM
Samwilson updated the task description. (Show Details)Oct 8 2018, 11:24 PM

The last part of this is making sure the dev environment is sensible, which I think could do with someone else having a go setting it up locally. Hopefully it's reasonably straight forward: https://github.com/wikimedia/svgtranslate/blob/master/CONTRIBUTING.md#install-for-development

Samwilson updated the task description. (Show Details)Oct 9 2018, 2:13 AM
aezell added a comment.Oct 9 2018, 4:07 PM

@Samwilson Would it be a good idea to include a "Requirements" section to the Contributing page? Things like what you have to have installed and/or setup.

Good idea! I've added some notes about prerequisites. Not sure how much detail to put in.

@Mooeypoo Didn't you just set this up? Can you confirm that the last checkbox in the requirements for this task is complete?

@Mooeypoo Didn't you just set this up? Can you confirm that the last checkbox in the requirements for this task is complete?

Yes, although it's still WIP because "composer install" isn't running properly.
Do we want to get it going without that (having to run it locally) and then improve, or wait for it to be fixed?

For posterity, the PR: https://github.com/wikimedia/svgtranslate/pull/12

Samwilson reassigned this task from Samwilson to Mooeypoo.Oct 19 2018, 2:36 AM

I think the Docker setup is pretty close to done (it's working for me!), so we should leave this open till we've merged that.

(I'd reply on GH but it's not letting me log in at the moment.)

  • URL rewriting isn't working for me.
  • The docs no longer have the http://localhost:8042 URL listed (and I was going to say that it should be clickable and not inline code as it was in a previous commit).
  • bin/dockerstart is only meant to be used internally by the Dockerfile, so it should probably live elsewhere or have some guard against people running it from the host.

And so is this now using a docker-registry.tools.wmflabs.org/toollabs-php72-web image? That's cool. Where's it?

I've added a few bits to https://github.com/wikimedia/svgtranslate/pull/12 and I think it's all good now. All commits there can be squashed into one I think.

There's a new env var, TOOLFORGE_DOCKER_PORT, in .env, if people need to use a different one (the default is 8042).

I updated the docs, so see if they make sense.

Mooeypoo closed this task as Resolved.Oct 25 2018, 7:52 PM
Mooeypoo moved this task from Needs Review/Feedback to Q2 2018-19 on the Community-Tech-Sprint board.

This is great. Thanks!

Mooeypoo updated the task description. (Show Details)Oct 25 2018, 7:52 PM